llm judge
Create llm judge compare
Requires scopes: eval:write
POST
/
api
/
llm-judge
/
compare
Create llm judge compare
curl --request POST \
--url https://evalgate.com/api/llm-judge/compare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>",
"configId": 123,
"outputA": "<string>",
"outputB": "<string>",
"expectedOutput": "<string>",
"metadata": {},
"context": "<string>",
"behavior": "<string>",
"taskType": "<string>",
"agentTraceA": [
{}
],
"agentTraceB": [
{}
]
}
'import requests
url = "https://evalgate.com/api/llm-judge/compare"
payload = {
"input": "<string>",
"configId": 123,
"outputA": "<string>",
"outputB": "<string>",
"expectedOutput": "<string>",
"metadata": {},
"context": "<string>",
"behavior": "<string>",
"taskType": "<string>",
"agentTraceA": [{}],
"agentTraceB": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: '<string>',
configId: 123,
outputA: '<string>',
outputB: '<string>',
expectedOutput: '<string>',
metadata: {},
context: '<string>',
behavior: '<string>',
taskType: '<string>',
agentTraceA: [{}],
agentTraceB: [{}]
})
};
fetch('https://evalgate.com/api/llm-judge/compare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"reasoning": "<string>",
"winner": "A",
"scoreA": 123,
"scoreB": 123,
"details": {},
"confidence": 123
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create llm judge compare
